<?
/**
*检查缓存文件夹是否存在，不存在则生成
*cache
*/
		define("BOOK_ROOT", substr(dirname(__FILE__),0,-5));
		$dir = BOOK_ROOT."./cache";
		//check_dir($dir);
/**
*检测文件夹函数，未发现文件夹则创建
*/
		function check_cache($filepath,$passtime){
				$one=filemtime($filepath);//获取缓存生成的时间
				$two= strtotime("now");
				$cle=$two-$one; //得出时间戳差值
				if((ceil($cle/60)-1)>=$passtime){
						unlink($filepath);
				}
				unset($one);
				unset($two);
				unset($cle);	
		
		}
		function write_cache($filepath,$filecontent){
				$creattime=time();
				$allfilecontent=<<<cachecontent
<?php
	\$creattime='$creattime';					
	\$data='$filecontent';
?>
cachecontent;
				$fp=fopen($filepath,"w"); 
				fwrite($fp,$allfilecontent); //写入缓存
				fclose($fp);//关闭文件		
		}
?>